
Redmine - Defect #23199

redmine:email:receive_imap change status did not work

2016-06-29 18:49 - Mutsu Yakumo

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.2.0

Description

Hello,

when I or a customer create a ticket via email with the following command:

rake redmine:email:receive_imap RAILS_ENV="production" host=*our host* port=993 ssl=SSL username=*Username*

password=*password* project=it-test tracker="Service Call" status="update" allow_override=project,tracker,priority,category,status

so everything works fine.

The Ticket will be create with the Status "update"

The Problem will start now, after someone changed the Status of the Ticket, for Example "in Progress" or "Resolved"

and the costumer write an answer to his Ticket (in the Subjekt: "AW: [IT-Test - #642] status2")

the status will not change to "update" back after I run my command again.

The Comment will be updated, but not the Status,

That is a big problem after a Ticket is closed... nobody see the update.

Is this a bug that the status will not change by an update via Mail?

And have anyone a solution for me? For example reopen a case after the status is closed, or open a new one?

History

#1 - 2016-06-29 19:09 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Please use forum for question.

You need to include status at mail.

source:tags/3.3.0/test/fixtures/mail_handler/ticket_reply_with_status.eml#L28

#2 - 2016-07-27 22:28 - Harry Wood

You're using the rake redmine:email:receive_imap setup, and I see you're trying two different things in the parameters there. The parameter

allow_override=project,tracker,priority,category,status will mean that people sending inbound email, can actually put something (correctly formatted)

in their email body to cause an override of the 'status' field. That's what Toshi means.

However I suspect what you actually want is for any incoming email (e.g. from a customer) without needing to follow any specific format, to have it's

status set to "update".  You had a go at achieving this by setting a parameter in the command there  status="update".   Good try, but the rake task

doesn't support a 'status' parameter according to the RedmineReceivingEmails documentation. Maybe you were confused by the bit of the docs

describing rdm-mailhandler (a different approach)

So... this is an issue! The same issue I am encountering. Unless I'm missing something, there's no way to make rake redmine:email:receive_imap

set the status of incoming emails (if they are unformatted emails from customers). Given that this rake task does have parameters to explicitly set 

project, tracker, category and priority, this seems like an odd omission.

What I did find is this four year old issue, which includes an old (no longer working) patch: #11495

#3 - 2016-09-28 18:49 - Mark Wintch

I know you want this discussion in the forum, however when I searched I was brought here.  Since I think others might be as well I wanted to add my

two cents as I hope it is relevant.  When I run the following rake command every emailed ticket status is set to backlog to give the team time to review

and prioritize the work.

rake redmine:email:receive_imap RAILS_ENV="production" host=imap.gmail.com port=993 project=PMO tracker=PMO_EPIC priority=normal
https://www.redmine.org/issues/642
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/3.3.0/test/fixtures/mail_handler/ticket_reply_with_status.eml#L28
https://www.redmine.org/projects/redmine/wiki/RedmineReceivingEmails
https://www.redmine.org/issues/11495


status=Backlog username=Project_Request@g password=xxxxxxxxxxxxx ssl=true move_on_success=Successfully_created_GATES_tickets --trace 

--verbose
